package jatek0003;

import java.net.URL;
import java.util.ArrayList;

import jatek.GameData;

public class Jatek0003GameData extends GameData {

	//input adatok
	private String code;
	private String name;
	private String description;
	private String author;
	private String date;
	private String order;
	private String E1,E2,A1,A2;
	private double step;
	private int rounds;
	private int actRound;
	private String gameInputHtmlContent;
	private double[] randomNums;
	private String dbUrl,dbName,dbTable,dbDriver,dbUser,dbPass;
	private URL codeBase;
	private String phpName;
	
	private String clicked=null;
	private double actDouble;
	private String actSex="nem válaszolok";
	private int actAge=0;
	
	//output
	private boolean saved=false,toExcel=false;
	private ArrayList<Answer> ans= new ArrayList<Answer>();
	private double alfa;
	
	public String getClicked() {
		return clicked;
	}
	public void setClicked(String clicked) {
		this.clicked = clicked;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getDate() {
		return date;
	}
	public void setDate(String date) {
		this.date = date;
	}
	public String getOrder() {
		return order;
	}
	public void setOrder(String order) {
		this.order = order;
	}
	public String getE1() {
		return E1;
	}
	public void setE1(String e1) {
		E1 = e1;
	}
	public String getE2() {
		return E2;
	}
	public void setE2(String e2) {
		E2 = e2;
	}
	public String getA1() {
		return A1;
	}
	public void setA1(String a1) {
		A1 = a1;
	}
	public String getA2() {
		return A2;
	}
	public void setA2(String a2) {
		A2 = a2;
	}
	public double getStep() {
		return step;
	}
	public void setStep(double step) {
		this.step = step;
	}
	public int getRounds() {
		return rounds;
	}
	public void setRounds(int rounds) {
		this.rounds = rounds;
	}
	public int getActRound() {
		return actRound;
	}
	public void setActRound(int actRound) {
		this.actRound = actRound;
	}
	public String getGameInputHtmlContent() {
		return gameInputHtmlContent;
	}
	public void setGameInputHtmlContent(String gameInputHtmlContent) {
		this.gameInputHtmlContent = gameInputHtmlContent;
	}	
	
	public double getActDouble() {
		return actDouble;
	}
	public void setActDouble(double actDouble) {
		this.actDouble = actDouble;
	}
	public ArrayList<Answer> getAns() {
		return ans;
	}
	public double[] getRandomNums() {
		return randomNums;
	}
	public void setRandomNums(double[] randomNums) {
		this.randomNums = randomNums;
	}
	public boolean isSaved() {
		return saved;
	}
	public void setSaved(boolean saved) {
		this.saved = saved;
	}
	public boolean isToExcel() {
		return toExcel;
	}
	public void setToExcel(boolean toExcel) {
		this.toExcel = toExcel;
	}
	public String getDbUrl() {
		return dbUrl;
	}
	public void setDbUrl(String dbUrl) {
		this.dbUrl = dbUrl;
	}
	public String getDbName() {
		return dbName;
	}
	public void setDbName(String dbName) {
		this.dbName = dbName;
	}
	public String getDbDriver() {
		return dbDriver;
	}
	public void setDbDriver(String dbDriver) {
		this.dbDriver = dbDriver;
	}
	public String getDbUser() {
		return dbUser;
	}
	public void setDbUser(String dbUser) {
		this.dbUser = dbUser;
	}
	public String getDbPass() {
		return dbPass;
	}
	public void setDbPass(String dbPass) {
		this.dbPass = dbPass;
	}
	public void setAns(ArrayList<Answer> ans) {
		this.ans = ans;
	}
	public String getDbTable() {
		return dbTable;
	}
	public void setDbTable(String dbTable) {
		this.dbTable = dbTable;
	}
	public String getActSex() {
		return actSex;
	}
	public void setActSex(String actSex) {
		this.actSex = actSex;
	}
	public int getActAge() {
		return actAge;
	}
	public void setActAge(int actAge) {
		this.actAge = actAge;
	}
	public URL getCodeBase() {
		return codeBase;
	}
	public void setCodeBase(URL codeBase) {
		this.codeBase = codeBase;
	}
	public String getPhpName() {
		return phpName;
	}
	public void setPhpName(String phpName) {
		this.phpName = phpName;
	}
	public double getAlfa() {
		return alfa;
	}
	public void setAlfa(double alfa) {
		this.alfa = alfa;
	}

}
